#include "stdio_fx.h"
#include "f2.h"

unsigned char i, j, n, op, led, btn;

void main() {
	pb2dfu_set(C_PBP_REG01, 0);
	op = mb2pb_read_data();
	if (op == C_DFU_OP_VVER) {
		pb2dfu_set(C_DFU_CNT, 0);
		pb2dfu_set(C_DFU_OP, op);
		pb2dfu_wait4hw();
	} else {
		n = mb2pb_read_data();

		pb2dfu_set(0x20, 0);  // To provide the trigger (0x00 on port 0x20) for the  ILA
		for (i = 0; i < 4; i++) {
			for (j = 2; j <= 3; j++) {
				lms(j, n, op);
				pb2mb_eoc(led);
			}
		}

		btn = btn2pb();
		led = led2pb();

		pb2mb_write(C_SCREEN_0);
		pb2mb_eoc(led);
	}
	pb2mb_eoc('.');
	pb2mb_req_reset('.');
	pb2mb_reset();
}
