#include "stdio_fx.h"
#include "f1.h"

unsigned char ah, bh, zh, n, op, led, btn;

void main() {
	pb2dfu_set(C_PBP_REG01, 0);
	op = mb2pb_read_data();
	if (op == C_DFU_OP_VVER) {
		pb2dfu_set(C_DFU_CNT, 0);
		pb2dfu_set(C_DFU_OP, op);
		pb2dfu_wait4hw();
	} else {
		pb2dfu_set(C_DFU_A_MEM_ADDR, mb2pb_read_data());
		pb2dfu_set(C_DFU_A_MEM_SADDR, mb2pb_read_data());
		pb2dfu_set(C_DFU_B_MEM_ADDR, mb2pb_read_data());
		pb2dfu_set(C_DFU_B_MEM_SADDR, mb2pb_read_data());
		pb2dfu_set(C_DFU_Z_MEM_ADDR, mb2pb_read_data());
		pb2dfu_set(C_DFU_Z_MEM_SADDR, mb2pb_read_data());
		ah = mb2pb_read_data();
		pb2dfu_set(C_DFU_A_MEM_BANK, ah);
		bh = mb2pb_read_data();
		pb2dfu_set(C_DFU_B_MEM_BANK, bh);
		zh = mb2pb_read_data();
		pb2dfu_set(C_DFU_Z_MEM_BANK, zh);
		pb2dfu_set(C_DFU_A_INC, mb2pb_read_data());
		pb2dfu_set(C_DFU_B_INC, mb2pb_read_data());
		pb2dfu_set(C_DFU_Z_INC, mb2pb_read_data());
		n = mb2pb_read_data() - 1;
		pb2dfu_set(C_DFU_CNT, n);

		pb2dfu_set(C_DFU_OP, op);
		{
		}
		pb2dfu_wait4hw();

		pb2mb_write(C_SCREEN_0);
		pb2mb_eoc(led);
	}
	pb2mb_eoc('.');
	pb2mb_req_reset('.');
	pb2mb_reset();
}

