#ifndef _MEM_MAP_H_
#define _MEM_MAP_H_

#include <fcntl.h>
#include <sys/mman.h>
#include "xil_types.h"

#define MAP_SIZE 4096UL
#define MAP_MASK (MAP_SIZE - 1)

typedef struct {
	void *base;
	UINTPTR dev_base;
} mem_map_t;

#ifdef __cplusplus
extern "C" {
#endif

unsigned map(int memfd, unsigned long dev_base, mem_map_t *m);
unsigned maps(int memfd, unsigned long base, mem_map_t *m, unsigned long map_size);

#ifdef __cplusplus
}
#endif

#endif /* _MEM_MAP_H_ */
